View Issue Details

IDProjectCategoryView StatusLast Update
15794Bug reportsSurvey editingpublic2020-02-03 11:11
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.1.0 
Fixed in Version4.1.0 
Summary15794: Question is LS Expression (replacementfields) show question from next group
Description

When you click on LSExpression in last version (git) : you have questions from next group, not only previous questions

Steps To Reproduce

Import docs/demosurveys/ls3_sample_survey_multilingual_fr_de_en_it.lss
Go to H/Huge free text, check the question shown

Compare with 3.X : 3.X show previous answers only.

Additional Information

Fixed by reviewing https://github.com/LimeSurvey/LimeSurvey/commit/7aa8973de8ddd66a6e4e4c7fbe0055202b5814f0

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2020-01-28 18:20

developer  

Current behaviour.png (50,512 bytes)   
Current behaviour.png (50,512 bytes)   
3LTSbehaviour.png (24,607 bytes)   
3LTSbehaviour.png (24,607 bytes)   
DenisChenu

DenisChenu

2020-01-28 18:24

developer   ~55549

https://github.com/LimeSurvey/LimeSurvey/pull/1379

DenisChenu

DenisChenu

2020-01-31 12:12

developer   ~55579

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29480

lime_release_bot

lime_release_bot

2020-02-03 11:11

administrator   ~55636

Fixed in Release 4.1.1+200203

Related Changesets

LimeSurvey: master 6129c136

2020-01-31 12:12:44

DenisChenu


Committer: GitHub Details Diff
Fixed issue 15794: Question is LS Expression (replacementfields) show question from next group (#1379)

Dev: usage of compare Yii function
Affected Issues
15794
mod - application/controllers/admin/limereplacementfields.php Diff File

Issue History

Date Modified Username Field Change
2020-01-28 18:20 DenisChenu New Issue
2020-01-28 18:20 DenisChenu File Added: Waited - and previous - behaviour.png
2020-01-28 18:20 DenisChenu File Added: Current behaviour.png
2020-01-28 18:20 DenisChenu File Added: 3LTSbehaviour.png
2020-01-28 18:21 DenisChenu Summary Question is LS Expression show invalid question => Question is LS Expression (replacementfields) show question from next group
2020-01-28 18:24 DenisChenu Note Added: 55549
2020-01-31 12:12 DenisChenu Changeset attached => LimeSurvey master 6129c136
2020-01-31 12:12 DenisChenu Note Added: 55579
2020-01-31 12:12 DenisChenu Assigned To => DenisChenu
2020-01-31 12:12 DenisChenu Resolution open => fixed
2020-01-31 12:14 ollehar Status new => resolved
2020-01-31 12:14 ollehar Fixed in Version => 4.1.0
2020-02-03 11:11 lime_release_bot Note Added: 55636
2020-02-03 11:11 lime_release_bot Status resolved => closed